Compiling in Arch

How do you compile programs in Arch?
I really don't like to run
./configure
make
make install
I want to be able to review what i have installed, and uninstall it again without problems. In Slackware i use a tool called checkinstall. When i compile a program i do:
./configure
make
checkinstall
Checkinstall will then make a Slackware-package of the program, and install it. I can easily remove the package again.
Is there similar software i could use for Arch? Or would checkinstall work in Arch too?

PKGBUILD:
http://xentac.net/~jchu/packaging/packaging01.html
easy install via pacman:
pacman -A /location/of/package.pkg.tar.gz
pacman -Rn package to remove it and the config files

Similar Messages

  • How to compile for arch on Ubuntu without root?

    Maybe this is not the right section, but since it is about compiling...
    I have access to a rather powerful server, so I thought I could maybe compile some AUR packages like kernel-rc there. Unfortunately it runs ubuntu so gcc is still 4.4 and all the base libs don't match.
    I thought about installing a minimal arch system in a chroot but you need root to chroot...
    My next thought was crosscompiling gcc for ubuntu set up to crosscompile for arch... Doesn't sound fun to set up.
    Any other ideas?

    *edit: rephrasing*
    Do you have (or can you get) permission to run a virtual machine on the server? I compile packages for i686 on x86_64 using a minimal (i686) Arch system in KVM and it works well. I find it to be very clean and easy to manage.
    Last edited by Xyne (2010-05-05 12:29:52)

  • Cannot compile ARCH kernel

    Hi there!
    I'm new to AL, so this might also be a newbie question, but noone could help me so far.
    to get to the point, everytime i try to compile an ARCH kernel with:
                "make && make modules modules_install"
    i get an error concerning the Makefile:
    [root@portdemonia linux]# make && make modules modules_install
      CHK     include/linux/version.h
      CHK     include/asm-i386/asm_offsets.h
    scripts/Makefile.build:13: init/Makefile: No such file or directory
    make[1]: *** No rule to make target `init/Makefile'.  Stop.
    make: *** [init] Error 2
    I'd be very glad if anyone could help me out there 

    @craw
    Believe me, you don't want to build the kernel the old fashioned way.
    It's messy, really messy (IMO).
    "pacman -S kernel26" grabs the latest kernel (as the description says: kernel and modules) binaries.
    I suggest you try using ABS.
    As root run "abs".
    It will grab the latest PKGBUILDs & additional files for all the packages from the repositories.
    1, go to "/var/abs/kernels".
    2. copy "kernel26" directory to /var/abs/local/kernel26-myversion (or whatever you want to call it).
    3. Modify the PKGBUILD inside: replace "yes "" | make config" line to be more precise with something within your likes, such as "make xconfig"/"make menuconfig" or even "make oldconfig", to use as base the ArchLinux "config" file there.
    4. save the PKGBUILD
    5. modify the "config" file in that directory, this line to be more precise: CONFIG_LOCALVERSION="-ARCH" / replace ARCH with something else (I don't know how effective this is when you start a new config)
    6. run "makepkg" in that directory
    7. during the build process, you'll be shown the interface to choose what/how to install
    8. in the end you'll have a brand new ArchLinux package with your kernel. You'll be able to install it using "pacman -A whatever_your_pkg_is_named.pkg.tar.gz"
    This way, if you choose to remove it/update it, your system will stay clean because the files in the pkg are kept in pacman's DB.
    But.. the best thing is to read about ABS first. Good luck.
    Enjoy afterwards.

  • Linux 3.14.2-1 ARCH config error - will not build with ABS [SOLVED]

    Hi Guys,
    I need to compile my kernels with ABS because I need 16 DVB adaptors instead of 8. This works normally just fine. Today I tried to compile newest kernel and got following error during config. For the record 3.14.1-1 built just fine.
    Makefile:615: Cannot use CONFIG_CC_STACKPROTECTOR_STRONG: -fstack-protector-strong not supported by compiler
    SYSHDR arch/x86/syscalls/../include/generated/uapi/asm/unistd_32.h
    SYSHDR arch/x86/syscalls/../include/generated/uapi/asm/unistd_64.h
    SYSHDR arch/x86/syscalls/../include/generated/uapi/asm/unistd_x32.h
    SYSTBL arch/x86/syscalls/../include/generated/asm/syscalls_32.h
    SYSHDR arch/x86/syscalls/../include/generated/asm/unistd_32_ia32.h
    CHK include/config/kernel.release
    SYSHDR arch/x86/syscalls/../include/generated/asm/unistd_64_x32.h
    UPD include/config/kernel.release
    SYSTBL arch/x86/syscalls/../include/generated/asm/syscalls_64.h
    WRAP arch/x86/include/generated/asm/clkdev.h
    CHK include/generated/uapi/linux/version.h
    UPD include/generated/uapi/linux/version.h
    CHK include/generated/utsrelease.h
    UPD include/generated/utsrelease.h
    HOSTCC arch/x86/tools/relocs_32.o
    HOSTCC arch/x86/tools/relocs_64.o
    HOSTCC arch/x86/tools/relocs_common.o
    HOSTLD arch/x86/tools/relocs
    CC kernel/bounds.s
    gcc: error: unrecognized command line option ‘-fstack-protector-strong’
    /home/server/core/linux/src/linux-3.14/./Kbuild:35: recipe for target 'kernel/bounds.s' failed
    make[1]: *** [kernel/bounds.s] Error 1
    Makefile:884: recipe for target 'prepare0' failed
    make: *** [prepare0] Error 2
    ==> ERROR: A failure occurred in prepare().
    Aborting...
    Thanks for the help
    Last edited by wdirksen (2014-05-02 20:31:32)

    wdirksen wrote:...I just moved to New Zealand...
    Beautiful part of the the world... you just need to watch out for Saruman and his orc army
    wdirksen wrote:... and the packages in the NZ mirror are not all in sync at the same time.
    Use reflector....
    % which upp
    upp: aliased to reflector -c "United States" -a 1 -f 3 --sort rate --save /etc/pacman.d/mirrorlist && cat /etc/pacman.d/mirrorlist && sudo pacman -Syyu
    You need to `chmod youruser:yourgroup /etc/pacman.conf` for that to work if run by non-root.
    Last edited by graysky (2014-05-02 20:33:38)

  • Create a cross compiler for arm

    I am struggling with building a cross toolchain, essentially it boils down to building these packages (in thegiven order):
    binutils gcc-base newlib gcc
    When done I am trying to compile a dummy cpp algorithm (euler gcd/ggT search) with no includes.
    What the cross toolchain spits at me is the following:
    $ arm-unknown-eabi-gcc -march=armv5te ./euklidisch_ggt.c -o ./euklidisch_ggt.bin.armv5te
    /usr/bin/arm-unknown-eabi-ld: skipping incompatible /usr/lib/gcc/arm-unknown-eabi/4.5.2/../../../../arm-unknown-eabi/lib/libc.a when searching for -lc
    /usr/bin/arm-unknown-eabi-ld: skipping incompatible /usr/arm-unknown-eabi/lib/libc.a when searching for -lc
    /usr/bin/arm-unknown-eabi-ld: cannot find -lc
    collect2: ld returned 1 exit status
    I wrote a little script to build it (as I got pretty much fed up doing it all by hund, round #7 just failed again)
    Note: it is semi-automated, you will still be requested to give your passwd to agree with install and blah
    Note: use it with arg "cleanup" to get rid of old installed packages (run as root)
    Note: use it to compile as user
    #!/bin/bash
    BUILDERUSER=buildmonkey
    PREFIX="/usr"
    TARGET="arm-unknown-eabi"
    PKGBUILDDIR="/home/${BUILDERUSER}/PKGBUILD"
    PKGS="binutils gcc-base newlib gcc"
    export PREFIX
    export TARGET
    export BUILDERUSER
    export PKGS
    export PKGBUILDDIR
    function cleanup
    for j in ${PKGS}
    do
    export j
    echo "Removing package ${TARGET}-${j}"
    su -c'pacman -R ${TARGET}-${j}'
    done
    function compile_and_install
    cd ${PKGBUILDDIR}
    echo ""
    echo ""
    echo "Compileing ${TARGET}-${1} ... "
    echo ""
    echo ""
    cd ./${TARGET}-${1}
    rm ./${TARGET}-${1}*
    makepkg -f || return 1
    su -c 'pacman -U ./${TARGET}-${1}*'
    echo ""
    if [ "${1}" == "cleanup" ]; then
    echo "cleanup requested...."
    cleanup
    exit 0
    fi
    if [ "$(id -u)" == "0" ]; then
    echo "This script must not be run as root!!" 1>&2
    exit 1
    fi
    echo ""
    if [ -d "${PKGBUILDDIR}" ]; then
    echo "PKGBUILD directory is ${PKGBUILDDIR}"
    else
    echo "PKGBUILD directory ${PKGBUILDDIR} is missing!!"
    exit 1
    fi
    echo "PKGs are ${PKGS}"
    echo ""
    for i in ${PKGS}
    do
    compile_and_install ${i}
    done
    exit 0
    The packagebuilds are as following (hacked away versions of the ones existing in AUR, which give me linker errors)
    binutils
    pkgname=arm-unknown-eabi-binutils
    pkgver=2.21
    pkgrel=1
    pkgdesc="A set of programs to assemble and manipulate binary and object files"
    arch=(i686 x86_64)
    license=(GPL)
    options=(!libtool)
    url="http://sources.redhat.com/binutils"
    depends=('glibc' 'zlib')
    source=(ftp://ftp.gnu.org/gnu/binutils/binutils-${pkgver}.tar.bz2)
    md5sums=('c84c5acc9d266f1a7044b51c85a823f5')
    build() {
    cd $srcdir/binutils-${pkgver}
    [ $NOEXTRACT -eq 1 ] || ./configure\
    --prefix=${PREFIX} \
    --program-prefix=${TARGET}- \
    --enable-shared \
    --disable-multilib \
    --with-lib-path=${PREFIX}/lib/binutils/{TARGET} \
    --disable-nls \
    --target=${TARGET} \
    --build=${CHOST} \
    --host=${CHOST}
    # mkdir -p $pkgdir/${PREFIX}/lib/binutils
    sed -i 's|know (S_GET_VALUE (frag->tc_frag_data.last_map) < S_GET_VALUE (symbolP));|{know (S_GET_VALUE (frag->tc_frag_data.last_map) < S_GET_VALUE (symbolP));}|' gas/config/tc-arm.c || return 1
    make configure-host
    make tooldir=$pkgdir/${PREFIX}
    make prefix=$pkgdir/${PREFIX} tooldir=$pkgdir/${PREFIX} install
    mkdir -p $pkgdir/${PREFIX}/lib/binutils/${TARGET}
    cp -v include/libiberty.h $pkgdir/${PREFIX}/lib/binutils/${TARGET}
    rm -f $pkgdir/${PREFIX}/man/man1/{dlltool,nlmconv,windres}*
    rm -f $pkgdir/usr/bin/ar
    rm -f $pkgdir/usr/bin/as
    rm -f $pkgdir/usr/bin/ld
    rm -f $pkgdir/usr/bin/nm
    rm -f $pkgdir/usr/bin/objdump
    rm -f $pkgdir/usr/bin/ranlib
    rm -f $pkgdir/usr/bin/strip
    rm -f $pkgdir/usr/bin/objcopy
    rm -f $pkgdir/usr/lib/libiberty.a
    rm -rf $pkgdir/usr/share
    rm -rf $pkgdir/usr/lib/ldscripts
    gcc-base
    pkgname=arm-unknown-eabi-gcc-base
    pkgver=4.5.2
    pkgrel=1
    pkgdesc="The GNU Compiler Collection"
    arch=(i686 x86_64)
    license=('GPL' 'LGPL')
    url="http://gcc.gnu.org"
    depends=('arm-unknown-eabi-binutils' 'libmpc' 'libelf' 'cloog-ppl')
    options=(!libtool !emptydirs zipman docs !strip)
    source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-core-${pkgver}.tar.bz2)
    md5sums=('aa9e36bec080452372bfba793428ee82')
    build() {
    cd $srcdir/gcc-$pkgver
    export CFLAGS="-O2 -pipe"
    export CXXFLAGS="-O2 -pipe"
    [ $NOEXTRACT -eq 1 ] || rm -rf build
    mkdir build
    cd build
    [ $NOEXTRACT -eq 1 ] || ../configure --prefix=${PREFIX} \
    --target=${TARGET} \
    --host=$CHOST \
    --build=$CHOST \
    --enable-shared \
    --disable-nls \
    --enable-languages=c \
    --enable-multilib \
    --with-local-prefix=${PREFIX}/lib/${TARGET} \
    --with-as=${PREFIX}/bin/${TARGET}-as \
    --with-ld=${PREFIX}/bin/${TARGET}-ld \
    --enable-softfloat \
    --with-float=soft \
    --with-newlib
    make all-gcc all-target-libgcc
    make DESTDIR=$pkgdir install-gcc install-target-libgcc
    rm -f $pkgdir/usr/share/man/man7/fsf-funding.7*
    rm -f $pkgdir/usr/share/man/man7/gfdl.7*
    rm -f $pkgdir/usr/share/man/man7/gpl.7*
    rm -rf $pkgdir/usr/share/info
    cp -r $pkgdir/usr/libexec/* $pkgdir/usr/lib/
    rm -rf $pkgdir/usr/libexec
    # strip it manually
    strip $pkgdir/usr/bin/* 2>/dev/null || true
    find $pkgdir/usr/lib -type f -exec arm-none-eabi-strip {} \; 2>/dev/null || true
    newlib
    pkgname=arm-unknown-eabi-newlib
    pkgver=1.19.0
    pkgrel=1
    pkgdesc="Newlib is a C library intended for use on embedded systems."
    arch=('i686' 'x86_64')
    groups=('devel')
    url="http://sourceware.org/newlib/"
    license=('GPL')
    depends=('arm-unknown-eabi-binutils' 'arm-unknown-eabi-gcc-base')
    source=(ftp://sources.redhat.com/pub/newlib/newlib-${pkgver}.tar.gz)
    md5sums=('0966e19f03217db9e9076894b47e6601')
    build() {
    cd ${srcdir}
    rm -rf build
    mkdir build
    cd build
    export CFLAGS="-O2"
    ../newlib-${pkgver}/configure \
    --target=${TARGET} \
    --prefix=${PREFIX} \
    --enable-interwork \
    --enable-multilib \
    --with-gnu-as \
    --with-gnu-ld \
    --with-float=soft \
    --disable-nls || return 1
    make || return 1
    make -j1 DESTDIR=${pkgdir} install || return 1
    rm -rf ${pkgdir}/usr/share/info
    return 0
    gcc:
    pkgname=arm-unknown-eabi-gcc
    pkgver=4.5.2
    pkgrel=1
    pkgdesc="The GNU Compiler Collection - Cross compiler for ARM target"
    arch=(i686 x86_64)
    license=('GPL' 'LGPL')
    url="http://gcc.gnu.org"
    #an installed libc/newlib is needed for libstdc++ compile
    depends=('arm-unknown-eabi-binutils>=2.18' 'cloog-ppl>=0.15.3' 'arm-unknown-eabi-newlib>=1.18.0')
    # cross-arm-none-eabi-gcc is an superset of cross-arm-none-eabi-gcc-base
    conflicts=('arm-unknown-eabi-gcc-base')
    provides=("arm-unknown-eabi-gcc-base=${pkgver}")
    options=(!libtool !emptydirs !strip zipman docs)
    source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-${pkgver}.tar.bz2)
    md5sums=('d6559145853fbaaa0fd7556ed93bce9a')
    build() {
    cd ${srcdir}/gcc-$pkgver
    export CFLAGS="-O2 -pipe"
    export CXXFLAGS="-O2 -pipe"
    rm -rf build
    mkdir build
    cd build
    ../configure \
    --prefix=${PREFIX} \
    --target=${TARGET} \
    --build=${CHOST} \
    --host=${CHOST} \
    --disable-nls \
    --enable-multilib \
    --enable-languages=c,c++ \
    --enable-__cxa_atexit \
    --enable-interwork \
    --with-local-prefix=${PREFIX}/lib/${TARGET} \
    --with-as=${PREFIX}/bin/${TARGET}-as \
    --with-ld=${PREFIX}/bin/${TARGET}-ld \
    --with-newlib \
    --with-float=soft
    make all-gcc all-target-libgcc all-target-libstdc++-v3 || return 1
    make DESTDIR=${pkgdir} install-gcc install-target-libgcc install-target-libstdc++-v3 || return 1
    rm -f $pkgdir/usr/share/man/man7/fsf-funding.7*
    rm -f $pkgdir/usr/share/man/man7/gfdl.7*
    rm -f $pkgdir/usr/share/man/man7/gpl.7*
    rm -rf $pkgdir/usr/share/info
    rm -rf $pkgdir/usr/share/gcc-4.5.2
    cp -r $pkgdir/usr/libexec/* $pkgdir/usr/lib/ && \
    rm -rf $pkgdir/usr/libexec
    I already read linux from scratch howto for building cross compilers, though partly it contradicts with AUR comments especially in regard to --with-sysroot and --with-build-sysroot
    If someone can please shed some light on this, the gcc doc is not very helpfull
    Note: I know that a bare metal arm elf cross compiler exisis in the archlinux repository but that is not sufficient as I need different targets with some special options (where can I get the PKGBUILD from packages within the ABS?)

    Current targets are armv7vfpv3 and armv5te softfloat, this compiler(s) (afaik softfloat and hardfloat can not be put into one compiler, correct me if I am wrong) will be used as basis for kernel compileing for these architectures plus the basic packages (afaik called bootstrapping).
    And I knew it was not really newby stuff, but .. well .. after searching like 5 mins for an appropriate subforum I gave up and posted it just here, sorry
    The point is this is the basis for a lot of core packages and I just want to do it right (and atm it ain't working at all )
    Last edited by drahnr (2011-04-05 22:36:11)

  • [SOLVED] LaTeX broken on Arch ?

    Hello dear Arch users,
    I am facing a problem for, let's say, arround 4 months ago.
    I am a user of LaTeX, and I am now not able to compile a calendar document based on the calendar template available here :
    http://www.texample.net/tikz/examples/a … ed-din-a4/
    Even the "stock", I mean unmodified .tex file, just downloaded from the above website, cannot be compiled on Arch.
    On a fresh Arch install on another computer, I got exactly the same error message.
    Please see enclosed screenshot.
    http://postimg.org/image/g2q3renov/
    Below are the packages related to Arch, installed on my system:
    [bastien@zoulou ~]$ pacman -Qs texlive
    local/texlive-bin 2013.30973-10
    TeX Live binaries
    local/texlive-core 2013.33063-1 (texlive-most)
    TeX Live core distribution
    local/texlive-fontsextra 2013.33010-1 (texlive-most)
    TeX Live - all sorts of extra fonts
    local/texlive-genericextra 2013.32809-1 (texlive-most)
    TeX Live - mixed bag of generic macro packages and fonts
    local/texlive-latexextra 2013.33063-1 (texlive-most)
    TeX Live - Large collection of add-on packages for LaTeX
    local/texlive-pictures 2013.33045-1 (texlive-most)
    TeX Live - Packages for drawings graphics
    local/texlive-plainextra 2013.32911-1 (texlive-most)
    TeX Live - A collection of add-on packages and macros for plain TeX
    local/texlive-pstricks 2013.33056-1 (texlive-most)
    TeX Live - Additional PSTricks packages
    local/texlive-science 2013.32850-1 (texlive-most)
    TeX Live - Typesetting for natural and computer sciences
    [bastien@zoulou ~]$ pacman -Qs texstudio
    local/texstudio 2.7.0-1
    Integrated writing environment for creating LaTeX documents
    [bastien@zoulou ~]$
    The system is up to date, as I run pacman -Syu everyday.
    I am used to compile other documents without any problem. Only this calendar is a problem for me.
    Do you have an idea?
    Do you get the same error message?
    Do I need to install an extra package?
    Regards,
    Bastien
    Last edited by PolePosition (2014-05-29 19:33:49)

    My texlive is managed through pacman.
    I think I found the culprit though. Earlier, when testing, I copied the source from the site and pasted into a new file, this compiles fine, with a few warnings. Now I downloaded the tex file directly from the site and this gives me the same error you get. The tex file contains these extra lines after the usepackage tikpicture line,
    %%%<
    \usepackage{verbatim}
    \usepackage[tightpage]{preview}
    \PreviewEnvironment{tikzpicture}
    \setlength\PreviewBorder{5pt}%
    %%%>
    \begin{comment}
    :Title: A calender for doublesided DIN-A4
    Tags: Calendar library;Calendars
    :Author: Robert Krause
    An example how the calendar package can be used to provide
    an doublesided calendar for the whole year.
    \end{comment}
    The problem seems to lie with the preview package. If I comment out the related 3 lines it works, but if I just uncomment the \usepackage[tightpage]{preview} line it gives EveryShipOut errors.

  • OpenMPI compile/link problems [SOLVED]

    After installing openmpi 1.6-2, I tried compiling a well-tested mpi program that
    I have been running under lam mpi on Debian linux.  Attempting to compile on
    Arch openmpi results in missing libraries:
    swallow:~/svn/conv/trunk$ make
    mpicc -g -c main.c
    mpicc -g -c timestep.c
    mpicc -g -c thermo.c
    mpicc -g -c toyrad.c
    mpicc -g -c getprofile.c
    mpicc -g -o conv main.o timestep.o thermo.o toyrad.o \
    getprofile.o -lcdf -lm
    main.o: In function `main':
    /home/raymond/svn/conv/trunk/main.c:157: undefined reference to `lam_mpi_comm_world'
    /home/raymond/svn/conv/trunk/main.c:158: undefined reference to `lam_mpi_comm_world'
    /home/raymond/svn/conv/trunk/main.c:187: undefined reference to `lam_mpi_comm_world'
    /home/raymond/svn/conv/trunk/main.c:189: undefined reference to `lam_mpi_comm_world'
    /home/raymond/svn/conv/trunk/main.c:629: undefined reference to `lam_mpi_sum'
    collect2: error: ld returned 1 exit status
    make: *** [conv] Error 1
    swallow:~/svn/conv/trunk$
    I then downloaded the openmpi package from the OpenMPI website, compiled it myself,
    and installed it in /usr/local.  I was able to compile and run the program with no trouble.
    (The --prefix /usr/local flag was needed on mpirun.)
    I notice that the openmpi libraries have been moved to /usr/lib/openmpi/ in the Arch version.
    Presumably Arch openmpi would work if one told the system where the libraries were (I haven't
    tried it), but relocating the libraries seems like an unnecessary complication to me and a
    booby trap for the unwary.
    Last edited by djraymondnm (2012-09-11 12:57:18)

    Compilation of C code works for me. The location of the libs should not be a problem because the linker find them with the following file :
        $ cat  /etc/ld.so.conf.d/openmpi.conf
        /usr/lib/openmpi
    I just pushed openmpi-1.6.1 in [extra]. Let me know if it works for you. If not, could you please give me a minimal example that does not compile for you ?
    Last edited by stephane (2012-09-04 23:10:17)

  • Ubuntu SoundMenu in Arch?

    The newest Ubuntu has some nice Panel Applet for controlling  a music player called SoundMenu.
    Is there a way to have this in Arch, too?

    This might be covered here:
    https://bbs.archlinux.org/viewtopic.php?id=99746
    Dinth wrote:There are already some threads regarding Ayatana libraries not compiling on Arch. Ive finally managed to make (ok, mostly i didnt made them, but tuned others work to compile) proper, working PKGBUILDs for this libraries, i plan also packaging new, Ayatana applets like Sound Menu, so i decided to start official thread for all Ayatana requests, bugs, etc.
    https://wiki.ubuntu.com/Ayatana (What Ayatana covers)

  • Simple Instrucftions to Compile Kernel?

    I just recently changed from Gentoo.  I learned quite a lot from Gentoo, but I was just spending too much time compiling.  However, I did some comparisons and found the gentoo kernel compiled for my -march=athlon-xp and -O3 was significantly faster than the stock i686 kernel (from the live cd).   I run inside Virtualbox so performance is important.  For what it's worth I also found a smaller improvement by compiling xorg and kde or gnome, but no improvement compiling user programs.  Anyway, I would like to compile my ARCH kernel but I have not found the instructions--I know the linux I learned from Gentoo, but in some cases it is Gentoo Linux ;-)  I have edited my makepkg.conf to include march and O.  I have downloaded the latest kernel.  In gentoo I would then go to /usr/src/linux* and run make menuconfig.  Right now I don't really want to change the kernel options at all but just to compile it with -march=athlon-xp and -O3.  If someone will help me out with the ARCH commands I will report back about whether there is a noticeable speed improvement.  thanks.

    I did it the Arch way.  I found the wiki on ABS and used ABS to successfully compile, install, and run a default kernel.  At the time I did not find the wiki page on compiling the kernel specifically and I certainly did not know that the kernel did not by default use the custom  CFLAGS (which was the whole point of compiling).  So now I want to take the next step and use the custom CLAGS.  .
    I don't know *exactly* what I am doing, but I learn fast ;-)  It is all a learning process and if I crater the system I will reinstall it.  What I do know is that I have successfully compiled and run a kernel on Gentoo  with -march=athlon-xp and -O3.  I watched the compilation messages and it was in fact using those settings.   I understand that those are aggressive settings and something might not work (so I will keep my working kernel also)  I also know that the custom kernel seemed noticeably faster to me than the stock Gentoo i686 kernel (from the livecd).  This makes sense to me because the kernel code is run "underneath" everything else and executed more often than any other code on the machine--so a small improvement there would be "magnified."  I do agree that compiling the installed programs would not result in any noticeable speed improvement--and that is also my experience with Gentoo--no gain from compiling the user programs. 
    So the bottom line now is that I have the ABS wiki page on custom compiling the kernel and the one thing I am missing is the way to tell the ABS to use CFLAGS when compiling the kernel.  Thank you to everyone who has help[ed.  I appreciate it greatly and I am becoming more and more convinced that my move to Arch was a good one.

  • Considering Arch

    I'm considering giving Arch a tryout, because I want more control over customizing a distro.  I have a two questions about Arch:
    Question One
    There seems to be a small amount of packages compared to say Mint/Ubuntu.  If a package doesn't exist, is it easy enough to get the source and compile for Arch?  If so, is there a specific Arch how-to?
    Question Two
    My primary goal for a customized distro is intended to be run live and remastered for personal updates.  (I'm doing this now with Remastersys with Mint.)
    I want to build three custom distros:
    1.  An security oriented custom Live disk for browsing the Internet securely.
    2.  A Live environment where I can work and save my work encrypted.
    3.  If enough time exists, create a distro dedicated for Artists (based on my own existing start).
    Is Arch Linux the right place for my goals?
    Last edited by Live (2012-01-30 05:46:16)

    Live wrote:
    I'm considering giving Arch a tryout, because I want more control over customizing a distro.  I have a two questions about Arch:
    Question One
    There seems to be a small amount of packages compared to say Mint/Ubuntu.  If a package doesn't exist, is it easy enough to get the source and compile for Arch?  If so, is there a specific Arch how-to?
    If the AUR is not enough for you or your desired piece of software is not not yet available there, you can create your own Arch package for it by writing a PKGBUILD.
    This is the Arch way of installing software.

  • Cannot get distcc/pump to work

    I have two machines on a GigaLAN both running distccd. 
    1) Workstation (Intel i7-3770K) with 8 logical CPUs.
    2) Laptop (Intel C2D) with 2 logical CPUs.
    On my workstation:
    % cat /etc/distcc/hosts
    localhost/9,cpp,lzo
    192.168.0.102/3,cpp,lzo
    On my laptop:
    % cat /etc/distcc/hosts
    localhost/3,cpp,lzo
    192.168.0.101/9,cpp,lzo
    Just the workstation
    Here is just the workstation
    % make -j8 bzImage 496.11s user 25.67s system 712% cpu 1:13.26 total
    Trying to use pump/distcc
    On the laptop...
    % eval pump --startup
    On the workstation...
    % eval pump --startup
    % pump make -j12 bzImage CC=distcc
    __________Using distcc-pump from /usr/bin
    __________Using 2 distcc servers in pump mode
    make[1]: Nothing to be done for `all'.
    HOSTCC scripts/basic/fixdep
    CHK include/generated/uapi/linux/version.h
    CC arch/x86/xen/setup.o
    CC arch/x86/realmode/rm/video-vga.o
    CC arch/x86/mm/fault.o
    CC arch/x86/realmode/rm/video-vesa.o
    distcc[25252] ERROR: compile arch/x86/realmode/rm/video-vesa.c on 192.168.0.102/3,cpp,lzo failed
    distcc[25252] (dcc_build_somewhere) Warning: remote compilation of 'arch/x86/realmode/rm/video-vesa.c' failed, retrying locally
    distcc[25214] ERROR: compile arch/x86/realmode/rm/video-vga.c on 192.168.0.102/3,cpp,lzo failed
    distcc[25214] (dcc_build_somewhere) Warning: remote compilation of 'arch/x86/realmode/rm/video-vga.c' failed, retrying locally
    distcc[25252] Warning: failed to distribute arch/x86/realmode/rm/video-vesa.c to 192.168.0.102/3,cpp,lzo, running locally instead
    distcc[25214] Warning: failed to distribute arch/x86/realmode/rm/video-vga.c to 192.168.0.102/3,cpp,lzo, running locally instead
    CC mm/mempool.o
    distcc[25252] (dcc_please_send_email_after_investigation) Warning: remote compilation of 'arch/x86/realmode/rm/video-vesa.c' failed, retried locally and got a different result.
    distcc[25252] (dcc_note_discrepancy) Warning: now using plain distcc, possibly due to inconsistent file system changes during build
    CC kernel/panic.o
    distcc[25214] (dcc_please_send_email_after_investigation) Warning: remote compilation of 'arch/x86/realmode/rm/video-vga.c' failed, retried locally and got a different result.
    CC arch/x86/realmode/rm/video-bios.o
    CC arch/x86/xen/multicalls.o
    PASYMS arch/x86/realmode/rm/pasyms.h
    LDS arch/x86/realmode/rm/realmode.lds
    LD arch/x86/realmode/rm/realmode.elf
    RELOCS arch/x86/realmode/rm/realmode.relocs
    OBJCOPY arch/x86/realmode/rm/realmode.bin
    AS arch/x86/realmode/rmpiggy.o
    OBJCOPY arch/x86/boot/setup.bin
    BUILD arch/x86/boot/bzImage
    Setup is 17036 bytes (padded to 17408 bytes).
    System is 3429 kB
    CRC fa62427
    Kernel: arch/x86/boot/bzImage is ready (#10)
    __________Warning: 3 pump-mode compilation(s) failed on server, but succeeded locally.
    __________Distcc-pump was demoted to plain mode. See the Distcc Discrepancy Symptoms section in the include_server(1) man page.
    __________Shutting down distcc-pump include server
    pump make -j12 bzImage CC=distcc 373.40s user 18.70s system 455% cpu 1:26.10 total
    Love to figure out what's going wrong.
    Note that I can use makepkg to build using just distcc (no pump mode) just fine.
    /etc/makepkg.conf
    MAKEFLAGS="-j12"
    BUILDENV=(distcc fakeroot color !ccache check !sign)
    DISTCC_HOSTS="localhost/9 192.168.0.102/3"
    Last edited by graysky (2012-12-20 00:05:29)

    Hi @utopian,
    Welcome to the HP Forums!
    I understand that you cannot scan with your HP Officejet Pro 8500 on Windows 7 using a wireless network. I am happy to look into this issue for you!
    Please take a look through this scanning guide, A 'Connection Error' or 'No Computer Detected' Error Message Displays during Scanning for HP Officej....
    Hope this guide helps!  
    RnRMusicMan
    I work on behalf of HP
    Please click “Accept as Solution ” if you feel my post solved your issue, it will help others find the solution.
    Click the “Kudos Thumbs Up" to say “Thanks” for helping!

  • Makepkg fails on custom kernel.

    Hi.
    I'm trying to compile the arch kernel with a few added patches to increase battery life.
    What I have done is: Installed abs, and ran ABS as root. Then I made a directory called kernel, copied the kernel26 from ABS to that directory (so kernel had a subdirectory called kernel26).
    Then I ran this script (changed the name to mine) in the kernel (not kernel26) folder, which created a new kernel26-gigamo folder.
    What I did next was copy these four patches to that directory, and added them in to the pkgbuild:
    avoid-overflows-in-kernel-timec.patch
    clockevent-simplify-list-operations.patch
    uvesafb-small-cleanups.patch
    writeback-speed-up-writeback-of-big-dirty-files.patch
    (they come from here)
    My PKGBUILD:
    # $Id: PKGBUILD,v 1.294 2008/03/05 14:44:07 tpowa Exp $
    # Maintainer: Tobias Powalowski <[email protected]>
    # Maintainer: Thomas Baechler <[email protected]>
    pkgname=kernel26-gigamo
    _basekernel=2.6.24
    pkgver=2.6.24.3
    pkgrel=3
    pkgdesc="The Linux Kernel and modules"
    arch=(i686 x86_64)
    license=('GPL2')
    groups=('base')
    url="http://www.kernel.org"
    backup=('boot/kconfig26-gigamo' etc/mkinitcpio.d/${pkgname}.preset etc/mkinitcpio.d/${pkgname}-fallback.conf)
    depends=('coreutils' 'module-init-tools' 'mkinitcpio>=0.5.15')
    # pwc, ieee80211 and hostap-driver26 modules are included in kernel26-gigamo now
    # nforce package support was abandoned by nvidia, kernel modules should cover everything now.
    # kernel24 support is dropped since glibc24
    replaces=('kernel24' 'kernel24-scsi' 'kernel26-gigamo-scsi'
    'alsa-driver' 'ieee80211' 'hostap-driver26'
    'pwc' 'nforce' 'squashfs' 'unionfs' 'ivtv'
    'zd1211' 'kvm-modules' 'iwlwifi' 'rt2x00-cvs')
    md5sums=('')
    install=kernel26-gigamo.install
    source=(ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_basekernel.tar.bz2
    ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
    ### next two lines only needed for rc kernel building
    #http://www.kernel.org/pub/linux/kernel/v2.6/testing/patch-2.6.24-rc6.bz2
    #http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.24-rc6-git2.bz2
    # the main kernel config files
    config config.x86_64
    # the archlinux boot logos
    logo_linux_clut224.ppm
    logo_linux_mono.pbm
    logo_linux_vga16.ppm
    # standard config files for mkinitcpio ramdisk
    kernel26-gigamo.preset
    mkinitcpio-$pkgname.conf
    # add possibility to load your own dsdt acpi table
    acpi-dsdt-initrd-v0.8.4-2.6.21.patch
    # own patches
    avoid-overflows-in-kernel-timec.patch
    clockevent-simplify-list-operations.patch
    uvesafb-small-cleanups.patch
    writeback-speed-up-writeback-of-big-dirty-files.patch
    # fix bluetooth on some toshiba notebooks
    toshiba-bluetooth.patch
    # add additional unusual usb entry
    usb-storage-unusual-devs.patch
    # improve intel macintosh support
    mactel-linux-2.6.24.patch
    # fix broken acpi c states on buggy bioses, which violate acpi specification
    acpi-buggy-bios.patch
    # add squashfs and unionfs
    http://heanet.dl.sourceforge.net/sourceforge/squashfs/squashfs3.3.tar.gz
    http://download.filesystems.org/unionfs/stable/unionfs-2.2.4_for_2.6.24.2.diff.gz
    # patch below for aufs compatibility
    lhash-2.6.24.patch
    put_filp-2.6.24.patch
    sec_perm-2.6.24.patch
    splice-2.6.24.patch
    #put_filp.patch
    # add possibility to undervolt certain cpus
    linux-phc-0.3.0-kernel-vanilla-2.6.23rc3.patch
    # adding genpatches from gentoo
    2000_no-if-addrlabel.patch
    2100_sd-sr-medium-detection.patch
    2101_sr-follow-tray-status.patch
    2102_sr-test-unit-ready.patch
    2300_pci-use-conf1.patch
    2400_e1000e-crc-stripping.patch
    2405_sis190-eeprom-mac.patch
    2500_arcmsr-dma-coherent-warnings.patch
    2700_alsa-hda-lifebook-e8410.patch
    # fix Leadtek_WinFast_2000
    winfast-2000.patch
    # fix fuse
    fuse-2.6.24.patch
    # fix ata limit
    ata-2.6.24.patch
    # fix keymap
    keymap-2.6.24.patch
    # fix some sis agp ids
    sis671-intelgly-2.6.24.patch
    build() {
    [ "${CARCH}" = "i686" ] && KARCH=x86
    [ "${CARCH}" = "x86_64" ] && KARCH=x86
    cd $startdir/src/linux-$_basekernel
    # add upstream patch from 2.6.24 series
    patch -Np1 -i ../patch-$pkgver || return 1
    # add queued patches for 2.6.24 series
    #http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git
    #patch -Np1 -i ../pre-2.6.24.3.patch || return 1
    ### next 2 lines are only needed for rc kernels
    #patch -Np1 -i ../patch-$pkgver-rc6 || return 1
    #patch -Np1 -i ../patch-2.6.24-rc6-git2 || return 1
    # add custom acpi dsdt patch, in reference to:
    # http://gaugusch.at/kernel.shtml
    # http://acpi.sourceforge.net
    patch -Np1 -i ../acpi-dsdt-initrd-v0.8.4-2.6.21.patch || return 1
    # fix enabling of bluetooth on some toshiba notebooks in reference to:
    # http://bugs.archlinux.org/task/5608
    # http://www.cwrose.de/toshiba/s5200.html#bluetooth
    patch -Np1 -i ../toshiba-bluetooth.patch || return 1
    # fix I/O errors with Teac HD-35PU devices
    patch -Np1 -i ../usb-storage-unusual-devs.patch || return 1
    # improve intel macintosh support, in reference to:
    # http://www.mactel-linux.org/wiki/Main_Page
    # http://mactel-linux.svn.sourceforge.net/viewvc/mactel-linux/trunk/kernel/
    patch -Np1 -i ../mactel-linux-2.6.24.patch || return 1
    # add possibility to undervolt certain cpus, in reference to:
    # https://www.dedigentoo.org/trac/linux-phc/
    patch -Np1 -i ../linux-phc-0.3.0-kernel-vanilla-2.6.23rc3.patch || return 1
    # fix buggy bios acpi to get c states, which violate acpi specification, in reference to:
    # http://bugzilla.kernel.org/show_bug.cgi?id=7578
    # http://bugs.archlinux.org/task/6875
    patch -Np1 -i ../acpi-buggy-bios.patch || return 1
    # fix Leadtek_WinFast_2000
    # in reference to:
    # http://www.linuxtv.org/v4lwiki/index.php/Leadtek_WinFast_2000
    patch -Np0 -i ../winfast-2000.patch || return 1
    # fix fuse
    # in reference to:
    # http://groups.google.com/group/linux.kernel/msg/20cd4e76b289d738
    patch -Np1 -i ../fuse-2.6.24.patch || return 1
    # fix keymaps
    # in reference to:
    # http://bugzilla.kernel.org/show_bug.cgi?id=10143
    # http://bugs.archlinux.org/task/9593
    patch -Np1 -i ../keymap-2.6.24.patch || return 1
    # fix sis ids
    # in reference to:
    # http://www.linuxconsulting.ro/xorg-drivers/
    # http://bugs.archlinux.org/task/9655
    patch -Np1 -i ../sis671-intelgly-2.6.24.patch || return 1
    # fix some ata limits
    # http://bugs.archlinux.org/task/9386
    # in reference to:
    # http://www.mail-archive.com/linux-ide%40vger.kernel.org/msg14722.html
    patch -Np2 -i ../ata-2.6.24.patch || return 1
    # adding some genpatches from gentoo, in reference to:
    # http://sources.gentoo.org/viewcvs.py/linux-patches/genpatches-2.6/trunk/2.6.24/
    patch -Np1 -i ../2000_no-if-addrlabel.patch || return 1
    patch -Np1 -i ../2100_sd-sr-medium-detection.patch || return 1
    patch -Np1 -i ../2101_sr-follow-tray-status.patch || return 1
    patch -Np1 -i ../2102_sr-test-unit-ready.patch || return 1
    patch -Np1 -i ../2300_pci-use-conf1.patch || return 1
    patch -Np1 -i ../2400_e1000e-crc-stripping.patch || return 1
    patch -Np1 -i ../2405_sis190-eeprom-mac.patch || return 1
    patch -Np1 -i ../2500_arcmsr-dma-coherent-warnings.patch || return 1
    patch -Np1 -i ../2700_alsa-hda-lifebook-e8410.patch || return 1
    # own patches
    patch -Np1 -i ../avoid-overflows-in-kernel-timec.patch || return 1
    patch -Np1 -i ../clockevent-simplify-list-operations.patch || return 1
    patch -Np1 -i ../uvesafb-small-cleanups.patch || return 1
    patch -Np1 -i ../writeback-speed-up-writeback-of-big-dirty-files.patch || return 1
    # add sqashfs support, in reference to:
    # http://squashfs.sourceforge.net/
    patch -Np1 -i ../squashfs3.3/kernel-patches/linux-2.6.24/squashfs3.3-patch || return 1
    # add unionfs support. in reference to:
    # http://www.fsl.cs.sunysb.edu/project-unionfs.html
    patch -Np1 -i ../unionfs-2.2.4_for_2.6.24.2.diff || return 1
    # add sec_perm-2.6.24.patch for aufs, in reference to:
    # http://aufs.sourceforge.net/
    patch -Np1 -i ../sec_perm-2.6.24.patch || return 1
    patch -Np0 -i ../put_filp-2.6.24.patch || return 1
    patch -Np1 -i ../lhash-2.6.24.patch || return 1
    patch -Np0 -i ../splice-2.6.24.patch || return 1
    # remove the extraversion from Makefile
    ### next line is only needed for rc kernels
    #sed -i 's|^EXTRAVERSION = .*$|EXTRAVERSION =-rc6|g' Makefile
    sed -i 's|^EXTRAVERSION = .*$|EXTRAVERSION =|g' Makefile
    # Arch logo!
    cp ../logo_linux_clut224.ppm drivers/video/logo/
    cp ../logo_linux_mono.pbm drivers/video/logo/
    cp ../logo_linux_vga16.ppm drivers/video/logo/
    if [ "$CARCH" = "x86_64" ]; then
    cat ../config.x86_64 >./.config
    else
    cat ../config >./.config
    fi
    # build the full kernel version to use in pathnames
    . ./.config
    ### next line is only needed for rc kernels
    #_kernver="2.6.24-rc6${CONFIG_LOCALVERSION}"
    _kernver="${_basekernel}${CONFIG_LOCALVERSION}"
    # configure kernel before build
    make menuconfig
    # load configuration
    yes "" | make config
    # build!
    # stop here
    #msg "Stopping build"
    #return 1
    make bzImage modules || return 1
    mkdir -p $startdir/pkg/{lib/modules,boot}
    make INSTALL_MOD_PATH=$startdir/pkg modules_install || return 1
    cp System.map $startdir/pkg/boot/System.map26-gigamo
    cp arch/$KARCH/boot/bzImage $startdir/pkg/boot/vmlinuz26-gigamo
    install -D -m644 Makefile \
    $startdir/pkg/usr/src/linux-${_kernver}/Makefile
    install -D -m644 kernel/Makefile \
    $startdir/pkg/usr/src/linux-${_kernver}/kernel/Makefile
    install -D -m644 .config \
    $startdir/pkg/usr/src/linux-${_kernver}/.config
    install -D -m644 .config $startdir/pkg/boot/kconfig26-gigamo
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/include
    for i in acpi asm-{generic,x86} config linux math-emu media net pcmcia scsi sound video; do
    cp -a include/$i $startdir/pkg/usr/src/linux-${_kernver}/include/
    done
    # copy files necessary for later builds, like nvidia and vmware
    cp Module.symvers $startdir/pkg/usr/src/linux-${_kernver}
    cp -a scripts $startdir/pkg/usr/src/linux-${_kernver}
    # fix permissions on scripts dir
    chmod og-w -R $startdir/pkg/usr/src/linux-${_kernver}/scripts
    #mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/.tmp_versions
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/kernel
    cp arch/$KARCH/Makefile $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/
    cp arch/$KARCH/Makefile_32 $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/
    cp arch/$KARCH/Makefile_64 $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/
    if [ "$CARCH" = "i686" ]; then
    cp arch/$KARCH/Makefile_32.cpu $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/
    fi
    cp arch/$KARCH/kernel/asm-offsets.s $startdir/pkg/usr/src/linux-${_kernver}/arch/$KARCH/kernel/
    # add headers for lirc package
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/drivers/media/video
    cp drivers/media/video/*.h $startdir/pkg/usr/src/linux-${_kernver}/drivers/media/video/
    for i in bt8xx cpia2 cx25840 cx88 em28xx et61x251 pwc saa7134 sn9c102 usbvideo zc0301; do
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/drivers/media/video/$i
    cp -a drivers/media/video/$i/*.h $startdir/pkg/usr/src/linux-${_kernver}/drivers/media/video/$i
    done
    # add dm headers
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/drivers/md
    cp drivers/md/*.h $startdir/pkg/usr/src/linux-${_kernver}/drivers/md
    # add inotify.h
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/include/linux
    cp include/linux/inotify.h $startdir/pkg/usr/src/linux-${_kernver}/include/linux/
    # add CLUSTERIP file for iptables
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/net/ipv4/netfilter/
    cp net/ipv4/netfilter/ipt_CLUSTERIP.c $startdir/pkg/usr/src/linux-${_kernver}/net/ipv4/netfilter/
    # add wireless headers
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/net/mac80211/
    cp net/mac80211/*.h $startdir/pkg/usr/src/linux-${_kernver}/net/mac80211/
    # add xfs and shmem for aufs building
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/fs/xfs
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/mm
    cp fs/xfs/xfs_sb.h $startdir/pkg/usr/src/linux-${_kernver}/fs/xfs/xfs_sb.h
    cp mm/shmem.c $startdir/pkg/usr/src/linux-${_kernver}/mm/shmem.c
    # add vmlinux
    cp vmlinux $startdir/pkg/usr/src/linux-${_kernver}
    # copy in Kconfig files
    for i in `find . -name "Kconfig*"`; do
    mkdir -p $startdir/pkg/usr/src/linux-${_kernver}/`echo $i | sed 's|/Kconfig.*||'`
    cp $i $startdir/pkg/usr/src/linux-${_kernver}/$i
    done
    cd $startdir/pkg/usr/src/linux-${_kernver}/include && ln -s asm-$KARCH asm
    chown -R root.root $startdir/pkg/usr/src/linux-${_kernver}
    find $startdir/pkg/usr/src/linux-${_kernver} -type d -exec chmod 755 {} \;
    cd $startdir/pkg/lib/modules/${_kernver} && \
    (rm -f source build; ln -sf ../../../usr/src/linux-${_kernver} build)
    # install fallback mkinitcpio.conf file and preset file for kernel
    install -m644 -D $startdir/src/${pkgname}.preset $startdir/pkg/etc/mkinitcpio.d/${pkgname}.preset || return 1
    install -m644 -D $startdir/src/mkinitcpio-$pkgname.conf $startdir/pkg/etc/mkinitcpio.d/$pkgname-fallback.conf || return 1
    # set correct depmod command for install
    sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/kernel26-gigamo.install
    echo -e "# DO NOT EDIT THIS FILE\nALL_kver='${_kernver}'" > ${startdir}/pkg/etc/mkinitcpio.d/${pkgname}.kver
    # remove unneeded architectures
    rm -rf $startdir/pkg/usr/src/linux-${_kernver}/arch/{alpha,arm,arm26,avr32,blackfin,cris,frv,h8300,ia64,m32r,m68k,m68knommu,mips,parisc,powerpc,ppc,s390,sh,sh64,sparc,sparc64,um,v850,xtensa}
    And the error I'm getting when running makepkg (in the kernel26-gigamo directory where my own pathces are added and the pkgbuild resides in):
    ~/kernel/kernel26-gigamo]: makepkg
    ==> Making package: kernel26-gigamo 2.6.24.3-3 (Tue Mar 11 23:02:49 CET 2008)
    ==> Checking Runtime Dependencies...
    ==> Checking Buildtime Dependencies...
    ==> Retrieving Sources...
    -> Found linux-2.6.24.tar.bz2 in build dir
    -> Found patch-2.6.24.3.bz2 in build dir
    -> Found config in build dir
    -> Found config.x86_64 in build dir
    -> Found logo_linux_clut224.ppm in build dir
    -> Found logo_linux_mono.pbm in build dir
    -> Found logo_linux_vga16.ppm in build dir
    -> Found kernel26-gigamo.preset in build dir
    -> Found mkinitcpio-kernel26-gigamo.conf in build dir
    -> Found acpi-dsdt-initrd-v0.8.4-2.6.21.patch in build dir
    -> Found avoid-overflows-in-kernel-timec.patch in build dir
    -> Found clockevent-simplify-list-operations.patch in build dir
    -> Found uvesafb-small-cleanups.patch in build dir
    -> Found writeback-speed-up-writeback-of-big-dirty-files.patch in build dir
    -> Found toshiba-bluetooth.patch in build dir
    -> Found usb-storage-unusual-devs.patch in build dir
    -> Found mactel-linux-2.6.24.patch in build dir
    -> Found acpi-buggy-bios.patch in build dir
    -> Found squashfs3.3.tar.gz in build dir
    -> Found unionfs-2.2.4_for_2.6.24.2.diff.gz in build dir
    -> Found lhash-2.6.24.patch in build dir
    -> Found put_filp-2.6.24.patch in build dir
    -> Found sec_perm-2.6.24.patch in build dir
    -> Found splice-2.6.24.patch in build dir
    -> Found linux-phc-0.3.0-kernel-vanilla-2.6.23rc3.patch in build dir
    -> Found 2000_no-if-addrlabel.patch in build dir
    -> Found 2100_sd-sr-medium-detection.patch in build dir
    -> Found 2101_sr-follow-tray-status.patch in build dir
    -> Found 2102_sr-test-unit-ready.patch in build dir
    -> Found 2300_pci-use-conf1.patch in build dir
    -> Found 2400_e1000e-crc-stripping.patch in build dir
    -> Found 2405_sis190-eeprom-mac.patch in build dir
    -> Found 2500_arcmsr-dma-coherent-warnings.patch in build dir
    -> Found 2700_alsa-hda-lifebook-e8410.patch in build dir
    -> Found winfast-2000.patch in build dir
    -> Found fuse-2.6.24.patch in build dir
    -> Found ata-2.6.24.patch in build dir
    -> Found keymap-2.6.24.patch in build dir
    -> Found sis671-intelgly-2.6.24.patch in build dir
    ==> WARNING: Integrity checks (md5) are missing or incomplete.
    ==> Extracting Sources...
    -> bsdtar -x -f linux-2.6.24.tar.bz2
    -> bunzip2 -f patch-2.6.24.3.bz2
    -> bsdtar -x -f squashfs3.3.tar.gz
    -> gunzip -d -f unionfs-2.2.4_for_2.6.24.2.diff.gz
    ==> Removing existing pkg/ directory...
    ==> Entering fakeroot environment...
    ==> Starting build()...
    patching file Documentation/video4linux/CARDLIST.cx23885
    patching file Makefile
    patching file arch/powerpc/platforms/chrp/pci.c
    patching file arch/powerpc/platforms/powermac/feature.c
    patching file arch/s390/lib/uaccess_std.c
    patching file arch/sparc/lib/rwsem.S
    patching file arch/sparc64/lib/rwsem.S
    patching file arch/x86/kernel/Makefile_32
    patching file arch/x86/mm/pageattr_64.c
    patching file drivers/acpi/blacklist.c
    patching file drivers/acpi/osl.c
    patching file drivers/base/firmware_class.c
    patching file drivers/char/drm/drm_stub.c
    patching file drivers/char/drm/drm_vm.c
    patching file drivers/char/mspec.c
    patching file drivers/firmware/dmi_scan.c
    patching file drivers/macintosh/smu.c
    patching file drivers/media/video/cx23885/cx23885-cards.c
    patching file drivers/net/bonding/bond_main.c
    patching file drivers/net/dl2k.h
    patching file drivers/net/forcedeth.c
    patching file drivers/net/pcmcia/smc91c92_cs.c
    patching file drivers/net/sky2.c
    patching file drivers/net/wireless/b43/dma.c
    patching file drivers/net/wireless/b43/main.c
    patching file drivers/net/wireless/b43/xmit.c
    patching file drivers/net/wireless/b43/xmit.h
    patching file drivers/net/wireless/b43legacy/dma.c
    patching file drivers/net/wireless/b43legacy/main.c
    patching file drivers/net/wireless/b43legacy/pio.c
    patching file drivers/net/wireless/b43legacy/xmit.c
    patching file drivers/net/wireless/b43legacy/xmit.h
    patching file drivers/pci/hotplug/fakephp.c
    patching file drivers/scsi/gdth.c
    patching file drivers/scsi/sd.c
    patching file drivers/usb/class/usblp.c
    patching file drivers/usb/core/driver.c
    patching file drivers/usb/core/hub.c
    patching file drivers/usb/gadget/fsl_usb2_udc.c
    patching file drivers/usb/misc/usbtest.c
    patching file drivers/usb/serial/cp2101.c
    patching file drivers/usb/serial/ftdi_sio.c
    patching file drivers/usb/serial/ftdi_sio.h
    patching file drivers/usb/serial/keyspan.c
    patching file drivers/usb/serial/kobil_sct.c
    patching file drivers/usb/serial/option.c
    patching file drivers/usb/serial/pl2303.c
    patching file drivers/usb/serial/pl2303.h
    patching file drivers/usb/serial/sierra.c
    patching file drivers/usb/storage/unusual_devs.h
    patching file fs/eventpoll.c
    patching file fs/inotify_user.c
    patching file fs/ncpfs/mmap.c
    patching file fs/nfs/write.c
    patching file fs/splice.c
    patching file fs/xfs/linux-2.6/xfs_file.c
    patching file include/asm-powerpc/pmac_feature.h
    patching file include/linux/Kbuild
    patching file include/linux/dmi.h
    patching file include/linux/hrtimer.h
    patching file include/linux/hugetlb.h
    patching file include/linux/ktime.h
    patching file include/linux/wait.h
    patching file kernel/audit.c
    patching file kernel/compat.c
    patching file kernel/futex.c
    patching file kernel/futex_compat.c
    patching file kernel/hrtimer.c
    patching file kernel/irq/chip.c
    patching file kernel/posix-timers.c
    patching file kernel/relay.c
    patching file kernel/sched_fair.c
    patching file kernel/sysctl.c
    patching file mm/filemap.c
    patching file mm/fremap.c
    patching file mm/hugetlb.c
    patching file mm/memory.c
    patching file mm/mmap.c
    patching file mm/slab.c
    patching file mm/slub.c
    patching file net/bluetooth/hci_sysfs.c
    patching file net/ipv4/fib_hash.c
    patching file net/ipv4/fib_trie.c
    patching file net/ipv4/inet_diag.c
    patching file net/ipv4/ip_output.c
    patching file net/ipv4/ipcomp.c
    patching file net/ipv4/sysctl_net_ipv4.c
    patching file net/ipv4/xfrm4_tunnel.c
    patching file net/ipv6/ip6_output.c
    patching file net/ipv6/ipcomp6.c
    patching file net/netfilter/nf_conntrack_proto_tcp.c
    patching file net/sched/em_meta.c
    patching file net/sched/ematch.c
    patching file scripts/mod/file2alias.c
    patching file security/selinux/ss/services.c
    patching file sound/oss/via82cxxx_audio.c
    patching file sound/usb/usx2y/usX2Yhwdep.c
    patching file sound/usb/usx2y/usx2yhwdeppcm.c
    The next patch would create the file Documentation/dsdt-initrd.txt,
    which already exists! Skipping patch.
    1 out of 1 hunk ignored -- saving rejects to file Documentation/dsdt-initrd.txt.rej
    patching file drivers/acpi/Kconfig
    Hunk #1 succeeded at 274 (offset -24 lines).
    patching file drivers/acpi/osl.c
    Hunk #1 succeeded at 312 (offset 56 lines).
    patching file init/initramfs.c
    patching file init/main.c
    Hunk #1 succeeded at 91 with fuzz 1 (offset -6 lines).
    Hunk #2 succeeded at 650 (offset 13 lines).
    ==> ERROR: Build Failed.
    Aborting...
    Sorry for the long post and thanks for bothering with me.
    Last edited by Gigamo (2008-03-11 22:09:12)

    I removed the src/ directory and ran makepkg and it succeeded. Pacman -U kernel.pkg.tar.gz also worked. Now all that's left is rebooting and trying.
    Thanks everyone.
    OK, I guess it's not over yet. I rebooted in the new kernel, but it says it can't find /dev/sda3 (which is my / partition).
    This is my grub entry:
    title Arch Linux Gigamo
    root (hd0,2)
    kernel /boot/vmlinuz26 root=/dev/sda3 ro
    initrd /boot/kernel26-gigamo.img
    Okay well, I didnt realise there was a vmlinux26-gigamo as well. Will see if that fixes it.
    Last edited by Gigamo (2008-03-12 16:53:22)

  • Devtools update causes problems with sudo when used in a script?

    I'm a little confused by this one, but I'm not convinced that it's a bug.. yet.
    Long story short, I compile packages using the ABS via a script/wrapper which uses devtools. The script is available here: https://github.com/WorMzy/compilepackage
    Now, this script is far from perfect, but has worked perfectly well (in various states of completeness) for the past year or so. However, with the recent update of devtools (20120720-1 => 20121013-1), my script fails to execute correctly. After entering the password when prompted (by sudo, at this line: https://github.com/WorMzy/compilepackag … tions#L107), the script terminates unexpectedly.
    Downgrading devtools "fixes" this problem, but I'm not sure if this is a bug in devtools, sudo, zsh, my script, or something else.
    Here is the full output from the compilation of "arch-install-scripts":
    build@sakura[pts/10]:~/builds/devtools$ . ~/.scripts/compilepackage arch-install-scripts
    ==> Downloading sources
    ==> arch-install-scripts directory already exist. Replace ? [Y/n]
    ==> Download arch-install-scripts sources
    receiving file list ... done
    sent 28 bytes received 70 bytes 39.20 bytes/sec
    total size is 656 speedup is 6.69
    :: Synchronizing package databases...
    core is up to date
    extra is up to date
    community is up to date
    :: Starting full system upgrade...
    there is nothing to do
    ==> Building in chroot for [extra] (x86_64)...
    ==> Creating clean working copy...done
    ==> Making package: arch-install-scripts 8-1 (Fri Oct 19 23:45:52 BST 2012)
    ==> Checking runtime dependencies...
    ==> Checking buildtime dependencies...
    ==> Retrieving Sources...
    -> Found arch-install-scripts-8.tar.gz
    -> Found arch-install-scripts-8.tar.gz.sig
    ==> Validating source files with md5sums...
    arch-install-scripts-8.tar.gz ... Passed
    arch-install-scripts-8.tar.gz.sig ... Passed
    ==> Verifying source file signatures with gpg...
    arch-install-scripts-8.tar.gz ... FAILED (unknown public key 1EB2638FF56C0C53)
    ==> WARNING: Warnings have occurred while verifying the signatures.
    Please make sure you really trust them.
    ==> Extracting Sources...
    -> Extracting arch-install-scripts-8.tar.gz with bsdtar
    ==> Starting build()...
    make: Entering directory `/build/src/arch-install-scripts-8'
    GEN arch-chroot
    GEN genfstab
    GEN pacstrap
    make: Leaving directory `/build/src/arch-install-scripts-8'
    ==> Entering fakeroot environment...
    ==> Starting package()...
    make: Entering directory `/build/src/arch-install-scripts-8'
    install -dm755 /build/pkg/usr/bin
    install -m755 arch-chroot genfstab pacstrap /build/pkg/usr/bin
    install -Dm644 zsh-completion /build/pkg/usr/share/zsh/site-functions/_archinstallscripts
    make: Leaving directory `/build/src/arch-install-scripts-8'
    ==> Tidying install...
    -> Purging unwanted files...
    -> Compressing man and info pages...
    -> Stripping unneeded symbols from binaries and libraries...
    ==> Creating package...
    -> Generating .PKGINFO file...
    -> Compressing package...
    ==> Leaving fakeroot environment.
    ==> Finished making: arch-install-scripts 8-1 (Fri Oct 19 23:45:54 BST 2012)
    ==> Installing package arch-install-scripts with pacman -U...
    loading packages...
    resolving dependencies...
    looking for inter-conflicts...
    Targets (1): arch-install-scripts-8-1
    Total Installed Size: 0.03 MiB
    Proceed with installation? [Y/n]
    (1/1) checking package integrity [######################################################################] 100%
    (1/1) loading package files [######################################################################] 100%
    (1/1) checking for file conflicts [######################################################################] 100%
    (1/1) installing arch-install-scripts [######################################################################] 100%
    resolving dependencies...
    looking for inter-conflicts...
    Targets (5): elfutils-0.155-1 pyalpm-0.5.3-2 python-3.3.0-1 python-pyelftools-0.20-2 namcap-3.2.4-2
    Total Installed Size: 99.58 MiB
    Proceed with installation? [Y/n]
    (5/5) checking package integrity [######################################################################] 100%
    (5/5) loading package files [######################################################################] 100%
    (5/5) checking for file conflicts [######################################################################] 100%
    (1/5) installing python [######################################################################] 100%
    Optional dependencies for python
    tk: for tkinter
    sqlite
    (2/5) installing pyalpm [######################################################################] 100%
    (3/5) installing elfutils [######################################################################] 100%
    (4/5) installing python-pyelftools [######################################################################] 100%
    (5/5) installing namcap [######################################################################] 100%
    Checking PKGBUILD
    Checking arch-install-scripts-8-1-any.pkg.tar.xz
    arch-install-scripts W: Dependency bash included but already satisfied
    arch-install-scripts W: Dependency included and not needed ('coreutils')
    arch-install-scripts W: Dependency included and not needed ('pacman')
    arch-install-scripts W: Dependency included and not needed ('util-linux')
    ==> Compilation complete, installing...
    Password:
    loading packages...
    warning: arch-install-scripts-8-1 is up to date -- reinstalling
    resolving dependencies...
    looking for inter-conflicts...
    Targets (1): arch-install-scripts-8-1
    Total Installed Size: 0.03 MiB
    Net Upgrade Size: 0.00 MiB
    Proceed with installation? [Y/n] % build@sakura[pts/10]:~/builds/arch-install-scripts$
    That "%" is inverted, just like what you get when you run
    echo -n "text"
    in zsh. Incidentally, here is my .zshrc: https://github.com/WorMzy/Config-files/ … ter/.zshrc, however, the problem persists with a new user with an unconfigured zsh.
    Here is my sudoers too:
    ## sudoers file.
    ## This file MUST be edited with the 'visudo' command as root.
    ## Failure to use 'visudo' may result in syntax or file permission errors
    ## that prevent sudo from running.
    ## See the sudoers man page for the details on how to write a sudoers file.
    ## Host alias specification
    ## Groups of machines. These may include host names (optionally with wildcards),
    ## IP addresses, network numbers or netgroups.
    # Host_Alias WEBSERVERS = www1, www2, www3
    ## User alias specification
    ## Groups of users. These may consist of user names, uids, Unix groups,
    ## or netgroups.
    # User_Alias ADMINS = millert, dowdy, mikef
    ## Cmnd alias specification
    ## Groups of commands. Often used to group related commands together.
    # Cmnd_Alias PROCESSES = /usr/bin/nice, /bin/kill, /usr/bin/renice, \
    # /usr/bin/pkill, /usr/bin/top
    ## Defaults specification
    ## You may wish to keep some of the following environment variables
    ## when running commands via sudo.
    ## Locale settings
    # Defaults env_keep += "LANG LANGUAGE LINGUAS LC_* _XKB_CHARSET"
    ## Run X applications through sudo; HOME is used to find the
    ## .Xauthority file. Note that other programs use HOME to find
    ## configuration files and this may lead to privilege escalation!
    # Defaults env_keep += "HOME"
    ## X11 resource path settings
    # Defaults env_keep += "XAPPLRESDIR XFILESEARCHPATH XUSERFILESEARCHPATH"
    ## Desktop path settings
    # Defaults env_keep += "QTDIR KDEDIR"
    ## Allow sudo-run commands to inherit the callers' ConsoleKit session
    # Defaults env_keep += "XDG_SESSION_COOKIE"
    ## Uncomment to enable special input methods. Care should be taken as
    ## this may allow users to subvert the command being run via sudo.
    # Defaults env_keep += "XMODIFIERS GTK_IM_MODULE QT_IM_MODULE QT_IM_SWITCHER"
    ## Uncomment to enable logging of a command's output, except for
    ## sudoreplay and reboot. Use sudoreplay to play back logged sessions.
    # Defaults log_output
    # Defaults!/usr/bin/sudoreplay !log_output
    # Defaults!/usr/local/bin/sudoreplay !log_output
    # Defaults!/sbin/reboot !log_output
    Defaults timestamp_timeout=0,passwd_timeout=0,passprompt="Password:",badpass_message="Incorrect password",editor=/usr/bin/vim:/usr/bin/vi,targetpw
    ## Runas alias specification
    ## User privilege specification
    root ALL=(ALL) ALL
    build sakura=/usr/bin/pacman-color -U *,/usr/bin/pacman-color -Sy,/usr/bin/pacman-color -Syy
    build sakura=/usr/bin/pacman -U *
    build sakura=NOPASSWD: /usr/bin/extra-x86_64-build,/usr/bin/multilib-build,/usr/sbin/makechrootpkg
    ## Uncomment to allow members of group wheel to execute any command
    %wheel sakura=(ALL) ALL
    ## Same thing without a password
    #%wheel ALL=(ALL) NOPASSWD: /sbin/sdshutdown, /sbin/sdreboot
    ## Uncomment to allow members of group sudo to execute any command
    # %sudo ALL=(ALL) ALL
    ## Uncomment to allow any user to run sudo if they know the password
    ## of the user they are running the command as (root by default).
    # Defaults targetpw # Ask for the password of the target user
    # ALL ALL=(ALL) ALL # WARNING: only use this together with 'Defaults targetpw'
    ## Read drop-in files from /etc/sudoers.d
    ## (the '#' here does not indicate a comment)
    #includedir /etc/sudoers.d
    Further information will be provided on request. Suggestions for improving the script will also be appreciated.
    Thanks.

    Update: It appears that the cause is systemd's nspawn. Disabling it in mkarchroot (have_nspawn=0) resolves the problem.
    However, I don't understand why it's causing this behaviour. User input works fine for the sudo password prompt, but then fails for the pacman user prompt? Do they use different input buffers or something? Does that question even make sense?
    Anyway, I'll open a bug report on flyspray and upstream about this when I get the chance.

  • Two problems with custom kernel

    I get two problems with my custom kernel that is not using initrd and otherwise working fine:
    1) initscripts does not print anything, i.e., I see the kernel messages and after a short while the login prompt. It seems to start the daemons, however, since my network is working. During shutdown the printout is working as usual.
    2) the machine does not power off properly (just hangs/stops after saying that is now powers off).
    I am missing some kernel options? Or do I have to configure something differently for not having an initrd?
    Thanks,  CC

    ccom wrote:I now re-compiled with Arch Linux's default settings (except for SCSI, SATA, and filesystem drivers built in) and noinitrd in GRUB. I get the same two problems. What is initrd doing that I missed?
    how about display drivers? are you compiling them in the kernel or as external modules?

  • Jdk6 - cannot find symbol

    Hi,
    I've just encountered a problem compiling with sun jdk6, that I've never met before.
    I've the class Arch that uses objects of the class Node.
    I compile the Node class without any problem ( javac -cp "../lib/*" it/bcdm/di/core/Node.java); but while compiling the Arch class after that, I get
    cannot find symbol
    symbol : class Node
    location: class it.bcdm.di.core.Arch
         private Node da = null;
         ^
    Either the Node and the Arch class stay within the same folder it/bcdm/di/core.
    I've already tried to include within the classpath, the path of the folder containing the file Node.class, in this way:
    javac -cp "../lib/*;it/bcdm/di/core/*" it/bcdm/di/core/Arch.java
    and I've also already tried this:
    export CLASSPATH=$CLASSPATH:/pathOfMyProject/it/bcdm/di/core/
    and also
    export PATH=$PATH:/pathOfMyProject/it/bcdm/di/core/
    but unsuccessful...
    this is the output of the verbose compilation mode:
    [parsing started it/bcdm/di/core/Arch.java]
    [parsing completed 35ms]
    [search path for source files: ../lib/*,it/bcdm/di/core/*]
    [search path for class files: /usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/resources.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/rt.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/sunrsasign.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/jsse.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/jce.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/charsets.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/classes,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/ext/sunpkcs11.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/ext/sunjce_provider.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/ext/localedata.jar,/usr/lib/jvm/java-6-sun-1.6.0.07/jre/lib/ext/dnsns.jar,../lib/*,it/bcdm/di/core/*]
    [loading java/lang/Comparable.class(java/lang:Comparable.class)]
    [loading java/lang/Object.class(java/lang:Object.class)]
    [loading java/lang/String.class(java/lang:String.class)]
    it/bcdm/di/core/Arch.java:5: cannot find symbol
    symbol : class Node
    location: class it.bcdm.di.core.Arch
         private Node da = null;
         ^
    it/bcdm/di/core/Arch.java:6: cannot find symbol
    symbol : class Node
    location: class it.bcdm.di.core.Arch
         private Node a = null;
         ^
    [loading java/lang/ClassCastException.class(java/lang:ClassCastException.class)]
    it/bcdm/di/core/Arch.java:49: cannot find symbol
    symbol : class Node
    location: class it.bcdm.di.core.Arch
         public Node getFrom(){
         ^
    it/bcdm/di/core/Arch.java:52: cannot find symbol
    symbol : class Node
    location: class it.bcdm.di.core.Arch
         public Node getTo(){
         ^
    it/bcdm/di/core/Arch.java:72: cannot find symbol
    symbol : class Node
    location: class it.bcdm.di.core.Arch
         public void setFrom(Node x){
         ^
    it/bcdm/di/core/Arch.java:75: cannot find symbol
    symbol : class Node
    location: class it.bcdm.di.core.Arch
         public void setTo(Node y){
         ^
    [checking it.bcdm.di.core.Arch]
    [loading java/lang/Error.class(java/lang:Error.class)]
    [loading java/lang/RuntimeException.class(java/lang:RuntimeException.class)]
    [loading java/lang/Exception.class(java/lang:Exception.class)]
    [loading java/lang/Throwable.class(java/lang:Throwable.class)]
    this is my java version:
    java version "1.6.0_07"
    Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
    Java HotSpot(TM) Server VM (build 10.0-b23, mixed mode)
    and I made these attempts either in debian and in windows XP, with the same java version installed.
    have you any idea to solve this compilation error?

    warnerja wrote:
    masijade, I think you might be confused as to what the OP is doing with that asterisk. As yawmark shed some light on it earlier, the wildcard lets the user conveniently include all .jar files it finds in the /lib directory, as if the user did this:
    -cp /lib/one.jar;/lib/two.jar;/lib/three.jar
    (assuming the /lib directory contains one.jar, two.jar, and three.jar)Yes, I know, but the op is complaining that he just compiled "Node", then by compiling "Arch" it could not find "Node", which means it won't be in those jars, anyway. (Edit: If he had used a -d option, the classes would have been in that directory, but then the "*", I believe, would hinder, not help, at least in respect to those newly compiled classes.)
    Also, OP, if you are not specifiying a -d option, then you also need to include "." on the classpath, as the classfiles will appear "in place" (i.e. right alongside the corresponding java files when compiled using the above command), which means that "." must also be on the classpath (as that is the "root" for the newly compiled classes).
    Edit Again, Although I will admit I hadn't remembered about the "*" being a new feature in 6 (though now that it has been mentioned as such I do remember having read about it, once).

Maybe you are looking for

  • How do I get my mobile devices to update my itune tunes?

    How do I get my mobile devices to update my itune tunes with the cloud?

  • Linking text fields together

    Hello, I am using Adobe Acrobat X Pro, the latest version in Windows 7. I had a quick question, I am trying to make a form for my business in PDF (Link to picture below, some parts are censored out) http://i.imgbox.com/adr7EKX6.png I have this on Mic

  • Event in ALV Grid

    Hi, I am using an ALV Grid with the first column of my output as a check box. One of the user requirements is to if the check box is ticked, then that row should be uneditable by the user. If the checkbox is unticked, then the row should be available

  • Nothing plays in premiere pro cs6

    I just started CS6 creative cloud, wanted to transition from FCP.  Second project, running Mac Pro 4,1, OS 10.6.8, 2.66 quad core.  I have an SSD as my system disk, and two 500 Gb HDD striped as my media disk.  Fotage is AVCHD, 1080p 24p from a Canon

  • ORA-1653 during upgrade db

    Hello! I see in alert.log during upgrade 10.2.0.5 -11.2.0.3 ORA-1653: unable to extend table SYS.SETTINGS$ by 8 in tablespace SYSTEM ORA-1653: unable to extend table SYS.SETTINGS$ by 8 in tablespace SYSTEM ORA-1653: unable to extend table SYS.SETTING